/*
 * @(#)DatagramPacket.c	1.7 98/06/29
 *
 * Copyright 1997, 1998 by Sun Microsystems, Inc.,
 * 901 San Antonio Road, Palo Alto, California, 94303, U.S.A.
 * All rights reserved.
 *
 * This software is the confidential and proprietary information
 * of Sun Microsystems, Inc. ("Confidential Information").  You
 * shall not disclose such Confidential Information and shall use
 * it only in accordance with the terms of the license agreement
 * you entered into with Sun.
 */

#include "jvm_utils.h"
#include "java_net_RawPacket.h"

/************************************************************************
 * RawPacket
 */

jfieldID rp_addressID;
jfieldID rp_bufID;
jfieldID rp_offsetID;
jfieldID rp_lengthID;

/*
 * Class:     java_net_RawPacket
 * Method:    init
 * Signature: ()V
 */
JNIEXPORT void JNICALL
Java_java_net_RawPacket_init (JNIEnv *env, jclass cls) {
    rp_addressID = (*env)->GetFieldID(env, cls, "address",
				      "Ljava/net/InetAddress;");
    rp_bufID = (*env)->GetFieldID(env, cls, "buf", "[B");
    rp_offsetID = (*env)->GetFieldID(env, cls, "offset", "I");
    rp_lengthID = (*env)->GetFieldID(env, cls, "length", "I");
}
